import circularlist.CircularList;
import circularlist.ObjectMissingException;

public class Test {
	
	public static boolean chercher(Object o, CircularList<?> cl) {
		try {
			cl.indexOf(o);
			return true;
		} catch (ObjectMissingException e) {
			return false;
		}
	}
	
	public static void main(String[] args) {
		Integer[] a = { 1, 2, 3 };
		CircularList<Integer> cl = new CircularList<>(a);
		System.out.print(cl.get(0) + " ");
		a[0] = 4;
		System.out.println(cl.get(0));

		System.out.println("1 present ? " + chercher(1, cl));
		System.out.println("4 present ? " + chercher(4, cl));
		
		CircularList<Number> cln = new CircularList<>(1, 2.5, 3.14);
		CircularList<Integer> cli = new CircularList<>(1, 2, 3);
		cln.addAll(cli);
	}
}
